<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSafeZonePolygon Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d7c/class_expansion_safe_zone_polygon.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSafeZonePolygon Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSafeZonePolygon:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d7c/class_expansion_safe_zone_polygon.png" usemap="#ExpansionSafeZonePolygon_map" alt=""/>
  <map id="ExpansionSafeZonePolygon_map" name="ExpansionSafeZonePolygon_map">
<area href="../../d3/d9b/class_expansion_safe_zone_element.html" alt="ExpansionSafeZoneElement" shape="rect" coords="0,0,172,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae3fc7dd7a4583a790181b4a77419ecf5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html#ae3fc7dd7a4583a790181b4a77419ecf5">ExpansionSafeZonePolygon</a> (TVectorArray positions)</td></tr>
<tr class="separator:ae3fc7dd7a4583a790181b4a77419ecf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71126db73d48b69d6a63bf7398454e1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d38/class_expansion_zone.html">ExpansionZone</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html#ae71126db73d48b69d6a63bf7398454e1">Create</a> ()</td></tr>
<tr class="separator:ae71126db73d48b69d6a63bf7398454e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a525e5c4954f8cab52ecace7bed276ff9"><td class="memItemLeft" align="right" valign="top">autoptr TVectorArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html#a525e5c4954f8cab52ecace7bed276ff9">Positions</a></td></tr>
<tr class="separator:a525e5c4954f8cab52ecace7bed276ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d0/dba/expansionsafezonepolygon_8c.html">ExpansionSafeZonePolygon.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html#l00016">16</a> of file <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html">expansionsafezonepolygon.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae3fc7dd7a4583a790181b4a77419ecf5" name="ae3fc7dd7a4583a790181b4a77419ecf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3fc7dd7a4583a790181b4a77419ecf5">&#9670;&#160;</a></span>ExpansionSafeZonePolygon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSafeZonePolygon::ExpansionSafeZonePolygon </td>
          <td>(</td>
          <td class="paramtype">TVectorArray&#160;</td>
          <td class="paramname"><em>positions</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html#l00020">20</a> of file <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html">expansionsafezonepolygon.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae71126db73d48b69d6a63bf7398454e1" name="ae71126db73d48b69d6a63bf7398454e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71126db73d48b69d6a63bf7398454e1">&#9670;&#160;</a></span>Create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d38/class_expansion_zone.html">ExpansionZone</a> ExpansionSafeZonePolygon::Create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html#l00025">25</a> of file <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html">expansionsafezonepolygon.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a525e5c4954f8cab52ecace7bed276ff9" name="a525e5c4954f8cab52ecace7bed276ff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a525e5c4954f8cab52ecace7bed276ff9">&#9670;&#160;</a></span>Positions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TVectorArray ExpansionSafeZonePolygon::Positions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html#l00018">18</a> of file <a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html">expansionsafezonepolygon.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/safezone/<a class="el" href="../../d0/dba/expansionsafezonepolygon_8c_source.html">expansionsafezonepolygon.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d7c/class_expansion_safe_zone_polygon.html">ExpansionSafeZonePolygon</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
